# Dokku Laravel
A base repo for a Laravel app with MySql under Nginx on Dokku server.

## Considering you already have Dokku Installed.

### From your local environment pull this branch and run:
  1. `composer install`
  2. `artisan serve`
  3. Copy your `APP_KEY` from .env file.

### From the dokku server
  1. Create the app: `dokku apps:create myapp`
  2. Create the env variable you copied from local: `dokku config:set detective APP_KEY={you_key}`
  3. Create a db : `dokku mysql:create myapp_db`
  4. Link with the app: `dokku mysql:link myapp_db myapp`
  4. Get the created db information: `dokku mysql:info myapp_db --dsn`
  5. Create the env variable expected on config/database: `dokku config:set detective DATABASE_URL={the_url_above}`
